## Apache Zeta Components Manual :: Docs For Class ezcGraphTools

### Graph::ezcGraphTools

### Class ezcGraphTools

Toolkit for several operation with graphs

Source for this file: /Graph/src/tools.php

Version: | //autogentag//

### Method Summary

public static string | `createImageMap( $chart , [ $name = null] )` Create an XHtml image map from a chart with gd driver. The name of the image map can be specified and will be ezcGraphImageMap otherwise.
public static void | `linkSvgElements( $chart )` Add links to clickable SVG elements in a chart with SVG driver.

### Methods

#### createImageMap

static string createImageMap( ezcGraphChart $chart , [string $name = null] )

Create an XHtml image map from a chart with gd driver. The name of the image map can be specified and will be ezcGraphImageMap otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$chart` | ezcGraphChart |
`$name` | string |

#### linkSvgElements

static void linkSvgElements( ezcGraphChart $chart )

Add links to clickable SVG elements in a chart with SVG driver.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$chart` | ezcGraphChart |

Documentation generated by phpDocumentor 1.4.3